Subject: bug#33772: closed (Re: bug#33772: StumpWM broken commands?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Dec 2019 01:59:02 +0000

Your bug report

#33772: StumpWM broken commands?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33772: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33772
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33772: StumpWM broken commands?
From: Brett Gilio <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: Christopher Lemmer Webber <[email-masked]>, Alex Kost <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 23 Dec 2019 19:58:53 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Langlois <[email-masked]> writes:

> Christopher Lemmer Webber writes:
>
>> Christopher Lemmer Webber writes:
>>
>>> Pierre Langlois writes:
>>>
>>>> Alex Kost writes:
>>>>
>>>>> I have built stumpwm from the latest commit (which is one commit after
>>>>> 18.11 release) and tried it on GuixSD and on ArchLinux.  Works for me
>>>>> on both systems, so it's probably not an upstream bug.
>>>>
>>>> Hi Alex,
>>>>
>>>> I was investigating just now and thought I'd try that one commit that
>>>> was pushed after the release. The description doesn't sound like it
>>>> would fix the problem but it was easy to try that.  But it looks like it
>>>> does fix the problem!
>>>>
>>>> Can you confirm the attached patch works for you?
>>>>
>>> I haven't tried it yet but it makes a lot of sense that this would fix
>>> it.  Both gnew and eval interactively pull up a request for a line of
>>> input.
>>
>> I applied your patch to my machine and it fixed it... thank you!  I
>> pushed the patch upstream to guix master.
>
> Awesome, thanks!
> Pierre
>
>
>
>
>

Hey everybody,

Evan Straw and I removed this patch in
9beec2173f9243456b6aca470acd926d0dcf9b45 with an upgrade to StumpWM
19.11 which fixes this issue.
As such I am closing this bug.

Let me know if 19.11 is working for you all, though!

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>

Subject: StumpWM broken commands?
From: Christopher Lemmer Webber <[email-masked]>
To: [email-masked]
Date: Sun, 16 Dec 2018 14:05:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

It seems to me that StumpWM broke somehow, for some reason.  I can
confirm there was a version change:

[email-masked]:out        /gnu/store/i0picr2xr2aq2a52nsaw67nvar1r3khw-sbcl-stumpwm-18.05
[email-masked]:out        /gnu/store/6h2iln76dx8pxdp1hsaqb1yncm8viczj-sbcl-stumpwm-18.11

I am not sure if this is the cause or something else.  At any rate, when
I try to run commands such as "gnew" (the command to make a new
group/workstation) I get back:

  Error In Command 'gnew': invalid number of arguments: 2

I though I'd try running the command manually and check the error, but
this also happens with eval!  Some other commands are not affected.

(I can try re-enabling the live REPL in StumpWM to play around with it,
but I currently have it off because they have the same live hacking
vulnerability in SBCL/SLIME that we had in Guile/Geiser some time ago.)